Bug 728332 - xml output has changed on cert requests
Summary: xml output has changed on cert requests
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pki-ca
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrew Wnuk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-04 18:15 UTC by Rob Crittenden
Modified: 2012-08-16 22:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 22:24:41 UTC


Attachments (Terms of Use)
proposed patch (1011 bytes, patch)
2011-08-05 16:51 UTC, Andrew Wnuk
alee: review+
jmagne: review+
Details | Diff

Description Rob Crittenden 2011-08-04 18:15:13 UTC
Description of problem:

The xml output on cert requests has dramatically changed and IPA no longer recognizes the output.

I've duplicated this on F-14 and F-15 systems while doing some other testing for Ade Lee using some custom packages.

On the working system all packages are:
9.0.5-1.20110405T0320z

The non-working system has that plus:
pki-common-javadoc-9.0.9-1.fc14.noarch
pki-common-9.0.9-1.fc14.noarch
pki-silent-9.0.9-1.fc14.noarch
pki-setup-9.0.9-1.fc14.noarch

Nothing has changed on the IPA side related to requesting certificates through dogtag in months. We make a request to https://foo.example.com:9444/ca/ee/ca/profileSubmitSSLClient with a post of'xml=true&profileId=caIPAserviceCert&cert_request=---- ... -----&cert_request_type=pkcs10'

The working server returns data that looks like:

<?xml version="1.0" encoding="UTF-8" standalone="no"?><XMLResponse><Status>0</Status><Requests><Request><Id>12</Id><SubjectDN>CN=panther.greyoak.com,O=GREYOAK.COM</SubjectDN><serialno>c</serialno><b64>MIIC8DCCAdigAwIBAgIBDDANBgkqhkiG9w0BAQsFADA2MRQwEgYDVQQKEwtHUkVZT0FLLkNPTTEeMBwGA1UEAxMVQ2VydGlmaWNhdGUgQXV0aG9yaXR5MB4XDTExMDgwNDE3NTMwN1oXDTEyMDEzMTE3NTMwN1owNDEUMBIGA1UEChMLR1JFWU9BSy5DT00xHDAaBgNVBAMTE3BhbnRoZXIuZ3JleW9hay5jb20wgZ8wDQYJKoZIhvcNAQEBBQADgY0AMIGJAoGBAL1NeayDfUIXRSFxj4QNXTqKa/geWT45FZZjAvCxrxpe2IrJIVaub0xUhCjR75b1GHn5remZtyWO3mfOisH/4z0Yy4rfkINzXziMJibsckqWzlDe6HdP5XyRE4031nYvZAw6zA7zR3G8aGtODVkH/sInxTyBkpaw6Wq4UaJH1Hy3AgMBAAGjgY4wgYswHwYDVR0jBBgwFoAU8l03iya9HTLN+wEC21xxREe+rEIwQwYIKwYBBQUHAQEENzA1MDMGCCsGAQUFBzABhidodHRwOi8vcGFudGhlci5ncmV5b2FrLmNvbTo5MTgwL2NhL29jc3AwDgYDVR0PAQH/BAQDAgTwMBMGA1UdJQQMMAoGCCsGAQUFBwMBMA0GCSqGSIb3DQEBCwUAA4IBAQAtYZ81f2MJ8ix+vq1Q8udFgbS90UwY0fgCQPpiRaixAM6Z4OPxdhT7oPLk+XdwfknwQmQxTJxsV7fMhMj6EF1xMumpyXVLBzFOt1oFkVTo7GxDr+2xP4G5ku1XJw1uny32nsBh/uTVeJ5Dcws9rvvKY2Hvnh0DOrW8sQ1F+NbJC85qRSc4fR7Vg0+q+/2lmuGw29w0AFowMf/YZJfrDacKehesoBqUhfirNaLid2SHW2BFJ8Z1wivTeL11zxRC2R3/0A7YbS3/uXcd4knJP9CGxtZJDSY481W1q7q+/k5+2NH9rQIjfhzAZ6UZyXZCge7X4IE6NVCfWNGQzLAh67yW</b64></Request></Requests></XMLResponse>

The non-working server returns it as:

<xml>
<output>
<set>
<errorReason>
 
</errorReason>
<outputList>
<list>
<outputList>
<set>
<outputId>
pretty_cert
</outputId>
<outputSyntax>
pretty_print
</outputSyntax>
<outputVal>
    Certificate:
        Data:
     ....
</outputVal>
<outputName>
Certificate Pretty Print
</outputName>
<outputConstraint>
 
</outputConstraint>
</set>
</outputList>
<outputList>
<set>
<outputId>
b64_cert
</outputId>
<outputSyntax>
pretty_print
</outputSyntax>
<outputVal>
-----BEGIN CERTIFICATE-----
...

etc.

Comment 1 Rob Crittenden 2011-08-04 21:55:47 UTC
Replicated on Fedora 15 with only 9.0.10-1 packages installed.

Comment 2 Andrew Wnuk 2011-08-05 16:51:11 UTC
Created attachment 516923 [details]
proposed patch

Comment 3 Ade Lee 2011-08-05 17:08:56 UTC
Comment on attachment 516923 [details]
proposed patch

remove the CMS.debug() .. on line 435.  It is not needed.

Comment 4 Andrew Wnuk 2011-08-05 20:06:38 UTC
trunk:

svn commit pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
Sending        pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
Transmitting file data .
Committed revision 2115.

Comment 5 Dmitri Pal 2011-08-10 16:41:30 UTC
This bug is a blocker for IPA release. Please provide the build ASAP.

Comment 6 Kevin Wright 2011-08-10 22:11:34 UTC
Dmitri,

FYI. per RT  #119098, I have built pki-core-9.0.11-1.fc15 which addresses this issue.

--Kevin

Comment 7 Fedora End Of Life 2012-08-16 22:24:44 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.